- Qt 6.8
- Qt Quick Timeline
- QML Types
- Keyframe
- Qt Quick Timeline | Commercial or GPLv3

# Keyframe QML Type

A keyframe. More...

Import Statement: | `import QtQuick.Timeline 1.0`
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- easing : var
- frame : double
- value : var

## Signals

- easingCurveChanged()

## Detailed Description

The value of a keyframe on a timeline.

An easing curve can be attached to the keyframe.

## Property Documentation

easing : var

The easing curve attached to the keyframe.

frame : double

The position of the keyframe on the timeline.

value : var

The value of the keyframe.

## Signal Documentation

easingCurveChanged()

This signal is emitted when the easing curve attached to the keyframe changes.

Note: The corresponding handler is `onEasingCurveChanged`.